package com.kingdee.eas.custom.compensation.task;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.custom.compensation.task.*;
import java.lang.String;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

public class DepositTaskFacade extends AbstractBizCtrl implements IDepositTaskFacade
{
    public DepositTaskFacade()
    {
        super();
        registerInterface(IDepositTaskFacade.class, this);
    }
    public DepositTaskFacade(Context ctx)
    {
        super(ctx);
        registerInterface(IDepositTaskFacade.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("7071D490");
    }
    private DepositTaskFacadeController getController() throws BOSException
    {
        return (DepositTaskFacadeController)getBizController();
    }
    /**
     *执行押金生成-User defined method
     *@param calSchemeID 计算规则
     *@param beginDate 开始日期
     *@param endDate 结束日期
     *@param personIds 人员id
     *@return
     */
    public String exceDeposit(String calSchemeID, String beginDate, String endDate, String personIds) throws BOSException
    {
        try {
            return getController().exceDeposit(getContext(), calSchemeID, beginDate, endDate, personIds);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}